<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($ya['level'] > 4) {
switch($mode) {
///удаление новости
case 'del':
if ($aut == true and $id != false and $ya['level']>4) {
$sql = $db -> query("SELECT * FROM `news` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if (!isset($_GET['true'])) {
$diz -> head('Новости');
$diz -> title('Удаление новости');
$msg .= '<div class="fon"><span>'.$ass['name'].'</span><br/>Вы точно хотите удалить выбранную новость?<br/>
<a href="func.php?id='.$id.'&amp;mode=del&amp;true">Да</a> | <a href="new'.$id.'">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
$db -> query("DELETE FROM `news` WHERE `id` = '".$id."' LIMIT 1");
$db -> query("DELETE FROM `comes` WHERE `idwh` = '".$id."' and `where`='news'");
header('location: index.php');
}
} else header('location: index.php');
} else header('location: index.php');
break;
///Изменение новости
case 'red':
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение новости');
$diz -> title('Изменение новости');
$for = $db -> query("SELECT * FROM `news` where `id`='$id'")-> fetch_assoc();
$msg .= '<div class="fon">Название:<form action="func.php?id='.$id.'&amp;mode=red" method="post"><div>
<textarea name="name" rows="3" cols="26">'.$for['name'].'</textarea><br/>
Содержание:<br/>
<textarea name="text" rows="8" cols="26">'.$func -> br($for['new']).'</textarea><br/>
<input type="submit" value="Изменить"/></form></div>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="new'.$id.'">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$db -> query("Update `news` SET  `name` = '".$name."',`new` = '".$text."' where `id`='$id'");
$diz -> head('Изменение новости');
$diz -> title('Изменение новости');
$msg .= '<div class="fon">Новость <b>'.$name.'</b> успешно изменена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Новости</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
break;
//переадресация в случае пустой функции
default:
header('location: index.php');
}
}else header('location: index.php');
?>